# SongSection Class Reference

`#include <Song.h>`

List of all members.

## Classes
struct | SBar
struct | STrack
## Public Types
enum | eBarNoteLength { eOneNote = 0, eTwoNotes, eFourNotes, eEightNotes, eNumNotesTypes }
## Public Member Functions
| SongSection ()
| ~SongSection ()
bool | Initialise (const UInt &bpm, const UInt &length)
Sint16 * | GetBuffer (const UInt &position, const int &len)
void | Output ()
UInt | GetSectionLength ()
## Protected Attributes
STrack * | m_pTracks
UInt | m_numTracks
UInt | m_timePerSection
## Static Protected Attributes
static float * | m_pTrackDegreesOnWave = new float[MAX_TRACKS]

## Detailed Description

Definition at line 17 of file Song.h.

## Member Enumeration Documentation

enum SongSection::eBarNoteLength

Enumerator:

  eOneNote |
  eTwoNotes |
  eFourNotes |
  eEightNotes |
  eNumNotesTypes |

Definition at line 29 of file Song.h.

## Constructor & Destructor Documentation

SongSection::SongSection | ( |  | ) |

Definition at line 18 of file Song.cpp.

SongSection::~SongSection | ( |  | ) |

Definition at line 24 of file Song.cpp.

## Member Function Documentation

Sint16 * SongSection::GetBuffer | ( | const UInt & | position,
|  | const int & | len |
| ) |  |  |

Definition at line 207 of file Song.cpp.

UInt SongSection::GetSectionLength | ( |  | ) | `[inline]`

Definition at line 27 of file Song.h.

bool SongSection::Initialise | ( | const UInt & | bpm,
|  | const UInt & | length |
| ) |  |  |

Definition at line 30 of file Song.cpp.

void SongSection::Output | ( |  | ) |

Definition at line 272 of file Song.cpp.

## Member Data Documentation

UInt SongSection::m_numTracks`[protected]`

Definition at line 59 of file Song.h.

float * SongSection::m_pTrackDegreesOnWave = new float[MAX_TRACKS]`[static, protected]`

Definition at line 58 of file Song.h.

STrack* SongSection::m_pTracks`[protected]`

Definition at line 57 of file Song.h.

UInt SongSection::m_timePerSection`[protected]`

Definition at line 59 of file Song.h.

The documentation for this class was generated from the following files:

- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/Song.h
- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/Song.cpp